#!/usr/bin/python3

## A script for easy counting of the total number of points appearing
## in an exam set (draft or finished) to be processed by
## LatexMCGeneratorDE.py. Good for keeping an overview of points
## alloted during creations of exam sets. Call on the tex file
## containing the input to LatexMCGeneratorDE.py:
##
##   countPoints.py example.tex

import sys

# input file as a string:
input = open(sys.argv[1],'r').read()

# get rid of any questions parked below "\end{document} in input"
input = input.split(r"\end{document}",maxsplit=1)[0]

# chop at beginnings of myfigure environments
cuts = input.split(r"\begin{Question")

# extract the points
points = [s.split(r"{",1)[1].split(r"}",1)[0] for s in cuts[1:]]

psum = 0
spgmNo = 0
for p in points:
    psum = psum + int(p)
    spgmNo = spgmNo + 1
    print(f"Spørgsmål {spgmNo:2}: {p:>3} {psum:3}")
